Subject: Re: bug#18170: 24.3.92; window-atom and window-side parameters
From: martin rudalics <[email-masked]>
To: Nicolas Richard <[email-masked]>, [email-masked]
Date: Mon, 17 Oct 2016 10:57:45 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> in e.g. (info "(elisp) Deleting Windows") (and some other places), it is
 > said:
 >       Otherwise, this function obeys the `window-atom' or `window-side'
 >       window parameter, if any. *Note Window Parameters::.
 >
 > But in (info "(elisp) Window Parameters"), the only occurrence of
 > window-side is in:
 >       There are additional parameters `window-atom' and `window-side';
 >       these are reserved and should not be used by applications.
 >
 > What are these parameters ?
 >
 > The docstring of delete-other-windows has :
 >
 >      Otherwise, if WINDOW is part of an atomic window, call this
 >      function with the root of the atomic window as its argument.  If
 >      WINDOW is a non-side window, make WINDOW the only non-side window
 >      on the frame.  Side windows are not deleted.  If WINDOW is a side
 >      window signal an error.
 >
 > but I don't get it, and I'm not even sure it is related to the above
 > parameters.
 >
 > I tried
 > (progn
 >    (set-window-parameter
 >     (selected-window)
 >     'window-side t)
 >    (delete-other-windows
 >     (selected-window)))
 > but that doesn't signal any error. So perhaps window-side parameter
 > isn't about side windows at all ? After a bit more of fiddling, I
 > understand that (display-buffer-in-side-window BUFFER ALIST) is used to
 > make the side windows, but that isn't mentionned in the elisp manual.

Should be fully documented now in master's Elisp manual.  Bug closed.

Thanks, martin